TCONV(1)

NAME
tconv - convert between termcap, terminfo source and terminfo binary

SYNOPSIS
tconv [-b] [-c [-OUGd]] [-i] [-B [-D dir]] [-I] [-k] [-V] [-t term] [file]
tic [file]
captoinfo [-t term] [-OUGdk]] [file]

DESCRIPTION
tconv converts between the three terminal descriptions, termcap, terminfo source, and terminfo binary, that the tinfo library uses. It performs the same functions of captoinfo(1M) and tic(1M) of System V. It also can be used to generate a terminfo source listing from a terminfo binary, one of the functions of System V's infocmp(1M).

  Translation Options
-c  convert from termcap
-i  convert from terminfo source
-b  convert from terminfo binary
-B  convert to terminfo binary
-I  convert to terminfo source

If a file is specified, one of -c or -i must specified and the whole file while be translated. If no file is specified then the input options will only restrict looking for the terminal to be translated in places likely have descriptions of the desired type (ie. with the -c option in the TERMCAP environment variable, and in /usr/share/misc/termcap, with the -i option in the TERMINFO environment variable, and in /usr/lib/terminfo), otherwise tconv will look in all available databases. If neither -I or -B are given the -I option will be assumed. If the -B option is used, the compiled output will be put in the the terminfo database, otherwise standard output is used.

You cannot translate from terminfo binary to terminfo binary. Translating from terminfo source to terminfo source is possible, but not of much use in most cases, as use= fields will be followed and incorporated into the output terminal description.

tconv should be able translate all standard termcap parameterized strings terminfo format, but complex strings using GNU's %a code may be too hard to translate. If tconv thinks a termcap string is already in terminfo format (if a %p code appears in the string), it won't try to translate it. String capabilities that don't take parameters won't be translated.

  Termcap options
The following options are available when translating termcap entries (-c options is used).

-d  don't supply any defaults for missing capabilities
-O  include obsolete termcap capabilities
-G  include GNU capabilities
-U  include UW capabilities

  Other Options
-k  keep comments when translating a file
-V  print version information and exit
-D dir
    directory to put terminfo binaries in
-t term
    terminal name to translate

If no terminal specified with the -t option, then the terminal name to to translate will be taken from the environment variable TERM.

FILES
/usr/lib/terminfo
    The default location to get and put terminfo binaries.
/usr/lib/terminfo/terminfo.src
    The default filename of the terminfo source file.
/etc/termcap
    The default filename of the termcap database.

SEE ALSO
captoinfo(1M), tic(1M), infocmp(1M), termcap(3), curses(3X), term(4), termcap(4), terminfo(4).

DIAGNOSTICS
The line number of a warning message when translating a file may refer to the last line of an entry instead of the line in the entry that generated the warning.

BUGS
More warning messages could be generated. tconv can't translate to termcap. Binaries generated will have canceled capabilities marked as canceled, which is incompatible with System V Release 2.0 terminfo.